<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-18 18:26:08
 * 文件不允许修改，自动生成
 */

namespace common\table\new_energy;

use common\table\TableModelBase;
class JdzHireExchangeTagBattery extends TableModelBase{
    public static function tableName()
    {
        return '{{jdz_hire_exchange_tag_battery}}';
    }
                
    /**
     * ------------ 字段 relation_id 
     * ------------ 表字段注释: 主键ID
     */
    public function filterByRelationId($val): self
    {
        $this->filterByColumn("relation_id", $val);
        return $this;
    }

    public function setRelationId($val): self
    {
        $this->setAttr("relation_id", $val);
        return $this;
    }

    public function getRelationId()
    {
        return $this->relation_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 tag_code 
     * ------------ 表字段注释: 标签编号
     */
    public function filterByTagCode($val): self
    {
        $this->filterByColumn("tag_code", $val);
        return $this;
    }

    public function setTagCode($val): self
    {
        $this->setAttr("tag_code", $val);
        return $this;
    }

    public function getTagCode()
    {
        return $this->tag_code ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 battery_sn 
     * ------------ 表字段注释: 电池编号
     */
    public function filterByBatterySn($val): self
    {
        $this->filterByColumn("battery_sn", $val);
        return $this;
    }

    public function setBatterySn($val): self
    {
        $this->setAttr("battery_sn", $val);
        return $this;
    }

    public function getBatterySn()
    {
        return $this->battery_sn ?? null;
    }
    // ---------------------------------------------
    
}
